package com.tarena.oss.user.pojo;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;


public class User implements Serializable{
	private Integer id;
	private String name;
	private String loginname;
	private String loginpassword;
	private int status;
	private String phone;
	private String email;
	private Date enrolldate;
	private Date closedate;
	private int paymenttype;
	private String career;
	private String nationality;
	private short sex;
	private String company;
	private String zip;
	//private Set<UserService> services = new HashSet<UserService>();
	
	
	
//	public Set<UserService> getServices() {
//		return services;
//	}
//	public void setServices(Set<UserService> services) {
//		this.services = services;
//	}
	public String getCareer() {
		return career;
	}
	public void setCareer(String career) {
		this.career = career;
	}
	
	public Date getClosedate() {
		return closedate;
	}
	public void setClosedate(Date closedate) {
		this.closedate = closedate;
	}
	public void setEnrolldate(Date enrolldate) {
		this.enrolldate = enrolldate;
	}
	public String getCompany() {
		return company;
	}
	public void setCompany(String company) {
		this.company = company;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getLoginname() {
		return loginname;
	}
	public void setLoginname(String loginname) {
		this.loginname = loginname;
	}
	public String getLoginpassword() {
		return loginpassword;
	}
	public void setLoginpassword(String loginpassword) {
		this.loginpassword = loginpassword;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getNationality() {
		return nationality;
	}
	public void setNationality(String nationality) {
		this.nationality = nationality;
	}
	public int getPaymenttype() {
		return paymenttype;
	}
	public void setPaymenttype(int paymenttype) {
		this.paymenttype = paymenttype;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public short getSex() {
		return sex;
	}
	public void setSex(short sex) {
		this.sex = sex;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public String getZip() {
		return zip;
	}
	public void setZip(String zip) {
		this.zip = zip;
	}
	
	public User(Integer id, String name, String loginname, String loginpassword, int status, String phone, String email, Date enrolldate, Date closedate, int paymenttype, String career, String nationality, short sex, String company, String zip) {
		this.id = id;
		this.name = name;
		this.loginname = loginname;
		this.loginpassword = loginpassword;
		this.status = status;
		this.phone = phone;
		this.email = email;
		this.enrolldate = enrolldate;
		this.closedate = closedate;
		this.paymenttype = paymenttype;
		this.career = career;
		this.nationality = nationality;
		this.sex = sex;
		this.company = company;
		this.zip = zip;
	}
	
	public User() {
	}
	
	
	public User(Integer id, String name, String loginname, String loginpassword, int status, Date enrolldate, int paymenttype, short sex) {
		this.id = id;
		this.name = name;
		this.loginname = loginname;
		this.loginpassword = loginpassword;
		this.status = status;
		this.enrolldate = enrolldate;
		this.paymenttype = paymenttype;
		this.sex = sex;
	}
	public String toString() {
		return "User["+id+", "+name+", "+loginname+", "+loginpassword+", "+status+", "+phone+
		", "+email+", "+enrolldate+", "+closedate+", "+paymenttype+", "+career+", "+nationality+
		", "+sex+", "+company+", "+zip+"]";
	}
	public Date getEnrolldate() {
		return enrolldate;
	}
	
	

}
